_Eina_Bezier Struct Reference
Eina » Tools » Bezier Curve

## Data Fields

struct { |
double x |
| x coordinate of start point
double y |
| y coordinate of start point
} | start
struct { |
double x |
| x coordinate of 1st control point
double y |
| y coordinate of 1st control point
} | ctrl_start
struct { |
double x |
| coordinate of 2nd control point
double y |
| y coordinate of 2nd control point
} | ctrl_end
struct { |
double x |
| x coordinate of end point
double y |
| y coordinate of end point
} | end

## Field Documentation

## x

double _Eina_Bezier::x

x coordinate of start point

x coordinate of end point

coordinate of 2nd control point

x coordinate of 1st control point

Referenced by eina_bezier_point_at().

## y

double _Eina_Bezier::y

y coordinate of start point

y coordinate of end point

y coordinate of 2nd control point

y coordinate of 1st control point

Referenced by eina_bezier_point_at().